@echo off
echo Licensed Materials - Property of IBM
echo WPS 4.1.1 FP1
echo (C) Copyright IBM Corp. 2001, 2002  All Rights Reserved.
echo.

if "%TEMP%" == "" goto test2
set wpstmp=%TEMP%
goto doit

:test2
if "%TMP%" == "" goto noTmp
set wpstmp=%TMP%
goto doit

:doit

setlocal

if %WAS_HOME%x == x goto noWas
if not exist %WAS_HOME%\java\jre\bin\java.exe goto noWasJdk
set JDK_BIN=%WAS_HOME%\java\jre\bin\
                               
if %SystemRoot%x == x goto noSystemRoot                                                         

:start

echo Starting install...

set CP=%WAS_HOME%\lib\ejs.jar
set CP=%CP%;%WAS_HOME%\lib\ibmwebas.jar
set CP=%CP%;%WAS_HOME%\lib\websphere.jar
set CP=%CP%;%WAS_HOME%\lib\ujc.jar
set CP=%CP%;%WAS_HOME%\lib\xml4j.jar
set CP=%CP%;%WAS_HOME%\lib\xerces.jar

set CLASSPATH=wps41_fp1.jar;%CP%;%CLASSPATH%

%JDK_BIN%java -classpath "%CLASSPATH%" -Dserver.root=%WAS_HOME% -DserverRoot=%WAS_HOME% -Dwps.jdk.bin=%JDK_BIN% -Dplatform.script.cmd="cmd /c" -Dplatform.script.ext=bat -Dwindows.root=%SystemRoot% run %*
endlocal

goto exit


:noTmp
echo You must set the environment variable TMP to a suitable directory before you can start this installation.
goto exit

:noWas
echo You must set the environment variable WAS_HOME to the home directory of WebSphere application server before you can start this installation.
goto exit

:noWasJdk
echo You must use the JDK supplied with WebSphere Application Server to install this product.
goto exit

:noSystemRoot
echo You must set the environment variable "SystemRoot" to the directory 
echo   containing Microsoft Windows system files, for example "C:\WINNT".
goto exit

:exit
